Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb
Class StoreDesc

    java.lang.Object
      com.hp.hpl.jena.sdb.StoreDesc

    public class StoreDesc

extends java.lang.Object

Field Summary
`com.hp.hpl.jena.sdb.sql.SDBConnectionDesc` | `connDesc`
`com.hp.hpl.jena.sdb.sql.MySQLEngineType` | `engineType` MySQL specific
`java.lang.String` | `rdbModelName` ModelRDB spefic
`java.lang.String` | `rdbModelType`

Constructor Summary
`StoreDesc(com.hp.hpl.jena.sdb.store.LayoutType layout, com.hp.hpl.jena.sdb.store.DatabaseType dbType)`
`StoreDesc(com.hp.hpl.jena.sdb.store.LayoutType layout, com.hp.hpl.jena.sdb.store.DatabaseType dbType, com.hp.hpl.jena.sdb.store.FeatureSet featureSet)`
`StoreDesc(java.lang.String layoutName, java.lang.String dbTypeName)`
`StoreDesc(java.lang.String layoutName, java.lang.String dbTypeName, com.hp.hpl.jena.sdb.store.FeatureSet featureSet)`

Method Summary
`com.hp.hpl.jena.sdb.store.DatabaseType` | `getDbType()`
`com.hp.hpl.jena.sdb.store.LayoutType` | `getLayout()`
`static StoreDesc` | `read(com.hp.hpl.jena.rdf.model.Model m)`
`static StoreDesc` | `read(com.hp.hpl.jena.rdf.model.Resource r)`
`static StoreDesc` | `read(java.lang.String filename)`
`void` | `setDbType(com.hp.hpl.jena.sdb.store.DatabaseType dbType)`
`void` | `setLayout(com.hp.hpl.jena.sdb.store.LayoutType layout)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### connDesc

    public com.hp.hpl.jena.sdb.sql.SDBConnectionDesc connDesc

### rdbModelName

    public java.lang.String rdbModelName

  ModelRDB spefic

### rdbModelType

    public java.lang.String rdbModelType

### engineType

    public com.hp.hpl.jena.sdb.sql.MySQLEngineType engineType

  MySQL specific

Constructor Detail

### StoreDesc

    public StoreDesc(java.lang.String layoutName,
                     java.lang.String dbTypeName)

### StoreDesc

    public StoreDesc(java.lang.String layoutName,
                     java.lang.String dbTypeName,
                     com.hp.hpl.jena.sdb.store.FeatureSet featureSet)

### StoreDesc

    public StoreDesc(com.hp.hpl.jena.sdb.store.LayoutType layout,
                     com.hp.hpl.jena.sdb.store.DatabaseType dbType)

### StoreDesc

    public StoreDesc(com.hp.hpl.jena.sdb.store.LayoutType layout,
                     com.hp.hpl.jena.sdb.store.DatabaseType dbType,
                     com.hp.hpl.jena.sdb.store.FeatureSet featureSet)

Method Detail

### read

    public static StoreDesc read(java.lang.String filename)

### getLayout

    public com.hp.hpl.jena.sdb.store.LayoutType getLayout()

### setLayout

    public void setLayout(com.hp.hpl.jena.sdb.store.LayoutType layout)

### read

    public static StoreDesc read(com.hp.hpl.jena.rdf.model.Model m)

### read

    public static StoreDesc read(com.hp.hpl.jena.rdf.model.Resource r)

### getDbType

    public com.hp.hpl.jena.sdb.store.DatabaseType getDbType()

### setDbType

    public void setDbType(com.hp.hpl.jena.sdb.store.DatabaseType dbType)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP